<?php
/**
 * Created by PhpStorm.
 * User: steven
 * Date: 7/25/19
 * Time: 10:55 AM
 */

namespace Hilco\GuzzleWrappers;


/**
 * Class GuzzleWrapper
 * @package Hilco\GuzzleWrappers
 * @property Client $client
 */
abstract class GuzzleWrapper
{
    protected $client;


    public abstract function get($uri, $corollaryAttributes);

    /**
     * @return Client|null
     */
    public function getClient()
    {
        return $this->client;
    }

    /**
     * @param Client|null $client
     */
    public function setClient($client)
    {
        $this->client = $client;
    }
}